kr.co.hanwha.hifive.adapter.viewholder

## Class CommentListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.CommentListViewHolder

    public class CommentListViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`private android.widget.ImageView` `mImageViewAuthor`
`private android.widget.ImageView` `mImageViewDot`
`private TaskDetailListContract.OnTaskDetailListener` `mOnTaskDetailListener`
`private android.widget.TextView` `mTextViewAuthor`
`private android.widget.TextView` `mTextViewDate`
`private android.widget.TextView` `mTextViewDelete`
`private android.widget.TextView` `mTextViewMessage`
`private android.widget.TextView` `mTextViewStatus`
`private android.view.View` `mViewBottomMargin`
`private android.view.View` `mViewDefaultMargin`
`private android.view.View` `mViewLastline`
`private android.view.View` `mViewUnderline`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`CommentListViewHolder(android.view.ViewGroup viewGroup, TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`
`void` `setLastItem(boolean isLast)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mImageViewDot

    private android.widget.ImageView mImageViewDot

#### mImageViewAuthor

    private android.widget.ImageView mImageViewAuthor

#### mTextViewAuthor

    private android.widget.TextView mTextViewAuthor

#### mTextViewMessage

    private android.widget.TextView mTextViewMessage

#### mTextViewDate

    private android.widget.TextView mTextViewDate

#### mTextViewStatus

    private android.widget.TextView mTextViewStatus

#### mTextViewDelete

    private android.widget.TextView mTextViewDelete

#### mViewDefaultMargin

    private android.view.View mViewDefaultMargin

#### mViewUnderline

    private android.view.View mViewUnderline

#### mViewLastline

    private android.view.View mViewLastline

#### mViewBottomMargin

    private android.view.View mViewBottomMargin

#### mOnTaskDetailListener

    private TaskDetailListContract.OnTaskDetailListener mOnTaskDetailListener

### Constructor Detail

#### CommentListViewHolder

    public CommentListViewHolder(@NonNull
                                 android.view.ViewGroup viewGroup,
                                 @NonNull
                                 TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)

### Method Detail

#### setLastItem

    public void setLastItem(boolean isLast)

#### onBind

    public void onBind(java.lang.Object object,
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`